Server Requirements - Freelancer Script

Freelancer Clone Script Server Requirements

Servers are required to have the following setup in order to run Freelancer Script:

  • Apache web server with mod_rewrite enabled.
  • MySQL version 4.0+ with the following php configurations
    1. SQL_MODE = 'NO_ENGINE_SUBSTITUTION' (Not set to 'STRICT_TRANS_TABLES')
  • GD Library 2+ with freetype support.
  • PHP 5.X with the following configuration
    1. safe_mode = off
    2. open_basedir = (no value)
    3. output_buffering = on
    4. register_argc_argv = On
    5. max_execution_time = 1000 (Recommended or higher)
    6. session.gc_maxlifetime = 15000 (Recommended or higher)
    7. upload_max_filesize = 20M (Recommended or higher)
    8. post_max_size = 20M (Recommended or higher)
    9. register_globals = off
    10. PECL json >= 1.2.0
    11. short_open_tag = on
    12. allow_url_fopen = on
    13. strict standards off (~E_STRICT)
    14. ioncube loader (version 5.1.1 or above)
  • Apache MultiViews disabled
  • Ability to run a cron job once per hour
  • Ability to run PHP from the command line (CLI) with exec()
  • Ability to execute background processes with exec("binary > /dev/null &")


Need Hosting For Freelancer Script?

View Freelancer Clone Script Recommended Web Hosts